import {system,world} from "@minecraft/server";

system.runInterval(() => {
    const players = world.getAllPlayers();
    // MSZ-06(MS形態)
    for (const player of players) {
        const result = [
            player.runCommand(`testfor @e[type=ga:msz_006_zgundam_cockpit,tag=!rock,r=4]`),
            player.runCommand(`testfor @s[tag=!riding_ms]`),
          ];
        if (result.every((res) => res.successCount > 0)) {
            player.runCommand(`event entity @e[type=ga:msz_006_zgundam_cockpit,r=4] hatch_open`)
        }
    }
    for (const player of players) {
        const result = [
            player.runCommand(`testfor @e[type=ga:msz_006_zgundam_cockpit,tag=!rock,tag=open,r=2]`),
            player.runCommand(`testfor @s[tag=!riding_ms]`),
          ];
        if (result.every((res) => res.successCount > 0)) {
            player.runCommand(`event entity @e[type=ga:msz_006_zgundam_cockpit,tag=open,r=2] ride_ms`)
        }
    }
},1);